#ifndef _HT2030_H
#define _HT2030_H

#define HT2030_BASE (0x100)
#define HT2030_REG(offset) ((offset) + HT2030_BASE)

/*
 * CN2 Pin Assignment
 *
 * Pin | Signal     Pin | Signal
 * ----|---------   ----|---------
 *   1 | PA0 INA      2 | PA0 INB
 *   3 | PA1 INA      4 | PA1 INB
 *   5 | PA2 INA      6 | PA2 INB
 *   7 | PA3 INA      8 | PA3 INB
 *   9 | PA4 INA     10 | PA4 INB
 *  11 | PA5 INA     12 | PA5 INB
 *  13 | PA6 INA     14 | PA6 INB
 *  15 | PA7 INA     16 | PA7 INB
 *
 * Pin | Signal     Pin | Signal
 * ----|---------   ----|---------
 *  17 | PB0 INA     18 | PB0 INB
 *  19 | PB1 INA     20 | PB1 INB
 *  21 | PB2 INA     22 | PB2 INB
 *  23 | PB3 INA     24 | PB3 INB
 *  25 | PB4 INA     26 | PB4 INB
 *  27 | PB5 INA     28 | PB5 INB
 *  29 | PB6 INA     30 | PB6 INB
 *  31 | PB7 INA     32 | PB7 INB
 *
 * Pin | Signal      Pin | Signal
 * ----|----------   ----|----------
 *  33 | PC0 OUT-     34 | PC0 OUT+
 *  35 | PC1 OUT-     36 | PC1 OUT+
 *  37 | PC2 OUT-     38 | PC2 OUT+
 *  39 | PC3 OUT-     40 | PC3 OUT+
 *  41 | PC4 OUT-     42 | PC4 OUT+
 *  43 | PC5 OUT-     44 | PC5 OUT+
 *  45 | PC6 OUT-     46 | PC6 OUT+
 *  47 | PC7 OUT-     48 | PC7 OUT+
 */

/* Register Address */
#define HT2030_PA	(HT2030_REG(0x0)) /* PA[0-7] */
#define HT2030_PB	(HT2030_REG(0x1)) /* PB[0-7] */
#define HT2030_PC	(HT2030_REG(0x2)) /* PC[0-7] */
#define HT2030_INTCLR	(HT2030_REG(0x3))

#define HT2030_CHANNELES_PER_PORT (8)
#define HT2030_PC_MAX (0xff)

#endif
